.game-container {
    margin-bottom: 15px;
}

.map-container {
    display: flex;
    gap: 0;
    transform-origin: top left;
    transition: transform 0.3s ease;
}

.map-row {
    width: 80px;
}

.map-outer-container {
  width: 100%;
  min-width: 1300px;
  transform-origin: top left;
  position: relative;
}

.map-cell {
  width: 80px;
  height: 80px;
  border: 2px solid black;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  font-size: 16px;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.noPlanet {
  width: 80px;
  height: 80px;
  border-top: 1px solid black;
  border-bottom: 1px solid black;
  background-color: #383838;
  background-size: cover;
  background-position: center;
}

.undiscoveredPlanet {
  width: 80px;
  height: 80px;
  border-top: 1px solid black;
  border-bottom: 1px solid black;
  background-color: darkgrey;
  background-size: cover;
  background-position: center;
}


.sticky-sidebar {
    position: sticky;
    top: 0;
    height: 100vh;
    overflow-y: auto;
}
.container-fluid {
    padding-left: 0;
    padding-right: 0;
}

.sidebar-column {
    padding-right: 0;
}

.custom-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
    background-color: #f5f5f5;
}
.custom-col-width {
    flex: 0 0 auto;
    width: calc((100% / 12) * 3);
}
.custom-row {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
}

.custom-col {
    flex: 1;
    text-align: center;
    padding: 15px;
}

.custom-col h4,
.custom-col h1 {
    margin-bottom: 10px;
    color: #333;
    font-size: 1.2em;
}

.image-style {
    width: 80%;
    height: auto;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
}

.interactable-image:hover {
    transform: scale(1.05);
    cursor: pointer;
}

.btn-create-game {
    background-color: #28a745;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    font-size: 1em;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.btn-create-game:hover {
    background-color: #218838;
}


.spinner-container-gamelog {
    position: fixed;
    top: 75px;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 20px;
    background-color: #f9f9f9;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.spinner-container {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 20px;
    background-color: #f9f9f9;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.spinner-content {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.spinner {
    border: 5px solid rgba(0, 0, 0, 0.1);
    border-top-color: #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.spinner-content p {
    margin-top: 10px;
    color: #333;
    font-size: 1rem;
    font-weight: 500;
}
.no-gutters {
    --bs-gutter-x: 0;
}
.errorMessage {
    padding: 10px;
    background-color: #ffcccc;
    border: 1px solid #ff0000;
    color: #ff0000;
    border-radius: 5px;
    margin-top: 20px;
    text-align: center;
    width: auto;
}

.player-grid-selection-container {
  display: flex;
  align-items: end;
  justify-content: left;
  flex-wrap: wrap;
  max-width: 100%;
}

.player-grid-btn {
  background-color: #f2f2f2;
  border-top-right-radius: 10px;
  margin-right: 1px;
  border: 1px solid black;
  overflow: hidden;
  width: 10em;
  height: 2em;
}
.player-grid-btn-selected {
  background-color: darkgrey;
  border-top-right-radius: 10px;
  margin-right: 1px;
  border: 1px solid black;
  overflow: hidden;
  width: 10em;
  height: 3em;
}

.player-grid-btn:hover {
  background-color: darkgrey;
}
